Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.vfs
Class VfsLog

    java.lang.Object
      org.apache.commons.vfs.VfsLog

public class VfsLog
extends Object

This class is to keep the old logging behaviour (for ant-task) and to be able to correctly use commons-logging.
I hope i could remove it sometimes.

Version:
  $Revision: 480428 $ $Date: 2006-11-29 07:15:24 +0100 (Mi, 29 Nov 2006) $
Author:
  Mario Ivankovits

Method Summary
`static void` | `debug(org.apache.commons.logging.Log vfslog, org.apache.commons.logging.Log commonslog, String message)` debug
`static void` | `debug(org.apache.commons.logging.Log vfslog, org.apache.commons.logging.Log commonslog, String message, Throwable t)` debug
`static void` | `error(org.apache.commons.logging.Log vfslog, org.apache.commons.logging.Log commonslog, String message)` error
`static void` | `error(org.apache.commons.logging.Log vfslog, org.apache.commons.logging.Log commonslog, String message, Throwable t)` error
`static void` | `fatal(org.apache.commons.logging.Log vfslog, org.apache.commons.logging.Log commonslog, String message)` fatal
`static void` | `fatal(org.apache.commons.logging.Log vfslog, org.apache.commons.logging.Log commonslog, String message, Throwable t)` fatal
`static void` | `info(org.apache.commons.logging.Log vfslog, org.apache.commons.logging.Log commonslog, String message)` info
`static void` | `info(org.apache.commons.logging.Log vfslog, org.apache.commons.logging.Log commonslog, String message, Throwable t)` info
`static void` | `warn(org.apache.commons.logging.Log vfslog, org.apache.commons.logging.Log commonslog, String message)` warning
`static void` | `warn(org.apache.commons.logging.Log vfslog, org.apache.commons.logging.Log commonslog, String message, Throwable t)` warning

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### warn

    public static void warn(org.apache.commons.logging.Log vfslog,
                            org.apache.commons.logging.Log commonslog,
                            String message,
                            Throwable t)

  warning

### warn

    public static void warn(org.apache.commons.logging.Log vfslog,
                            org.apache.commons.logging.Log commonslog,
                            String message)

  warning

### debug

    public static void debug(org.apache.commons.logging.Log vfslog,
                             org.apache.commons.logging.Log commonslog,
                             String message)

  debug

### debug

    public static void debug(org.apache.commons.logging.Log vfslog,
                             org.apache.commons.logging.Log commonslog,
                             String message,
                             Throwable t)

  debug

### info

    public static void info(org.apache.commons.logging.Log vfslog,
                            org.apache.commons.logging.Log commonslog,
                            String message,
                            Throwable t)

  info

### info

    public static void info(org.apache.commons.logging.Log vfslog,
                            org.apache.commons.logging.Log commonslog,
                            String message)

  info

### error

    public static void error(org.apache.commons.logging.Log vfslog,
                             org.apache.commons.logging.Log commonslog,
                             String message,
                             Throwable t)

  error

### error

    public static void error(org.apache.commons.logging.Log vfslog,
                             org.apache.commons.logging.Log commonslog,
                             String message)

  error

### fatal

    public static void fatal(org.apache.commons.logging.Log vfslog,
                             org.apache.commons.logging.Log commonslog,
                             String message,
                             Throwable t)

  fatal

### fatal

    public static void fatal(org.apache.commons.logging.Log vfslog,
                             org.apache.commons.logging.Log commonslog,
                             String message)

  fatal

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 The Apache Software Foundation. All Rights Reserved.